hmmemit(1)

NAME

hmmemit - generate sequences from a profile HMM

SYNOPSIS
hmmemit [options] hmmfile

DESCRIPTION
hmmemit reads an HMM file from hmmfile containing one or more HMMs, and generates a number of sequences from each HMM; or, if the -c option is selected, generate a single majority-rule consensus. This can be useful for various applications in which one needs a simulation of sequences consistent with a sequence family consensus. By default, hmmemit generates 10 sequences and outputs them in FASTA (unaligned) format.

OPTIONS

-a  Write the generated sequences in an aligned format (SELEX) rather than FASTA.

-c  Predict a single majority-rule consensus sequence instead of sampling sequences from the HMM's probability distribution. Highly conserved residues (p >= 0.9 for DNA, p >= 0.5 for protein) are shown in upper case; others are shown in lower case. Some insert states may become part of the majority rule consensus, because they are used in >= 50% of generated sequences; when this happens, insert-generated residues are simply shown as "x".

-h  Print brief help; includes version number and summary of all options, including expert options.

-n <n>
    Generate <n> sequences. Default is 10.

-o <f>
    Save the synthetic sequences to file <f> rather than writing them to stdout.

-q  Quiet; suppress all output except for the sequences themselves. Useful for piping or directing the output.

EXPERT OPTIONS

--seed <n>
    Set the random seed to <n>, where <n> is a positive integer. The default is to use time() to generate a different seed for each run, which means that two different runs of hmmemit on the same HMM will give slightly different results. You can use this option to generate reproducible results.

SEE ALSO

Master man page, with full list of and guide to the individual man pages: see hmmer(1).

A User guide and tutorial came with the distribution: Userguide.ps [Postscript] and/or Userguide.pdf [PDF].

Finally, all documentation is also available online via WWW: http://hmmer.wustl.edu/

AUTHOR
This software and documentation is:
@COPYRIGHT@
HMMER - Biological sequence analysis with profile HMMs
Copyright (C) 1992-1999 Washington University School of Medicine
All Rights Reserved
    This source code is distributed under the terms of the
    GNU General Public License. See the files COPYING and LICENSE
    for details.
See the file COPYING in your distribution for complete details.
Sean Eddy
HHMI/Dept. of Genetics
Washington Univ. School of Medicine
4566 Scott Ave.
St Louis, MO 63110 USA
Phone: 1-314-362-7666
FAX  : 1-314-362-7855
Email: eddy@genetics.wustl.edu